<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Events</title>
</head>
<body>
    <button onclick="handleClick(event)"> Click me !</button>
    <!-- this regualry address an object but this Object is not static for all time and it may change -->
    <script>
        function handleClick(event){
            console.log(event);
        }

        // document.querySelector('button').addEventListener('click',handleClick)
        // const foo={
        //     name:'Ahmad',
        //     log:function(){
        //         console.log(this);
        //         console.log(this.name);
        //     }
        // }
        // foo.log();
        // setTimeout(foo.log,500);
    </script>
</body>
</html>